Name:		dnf-plugin-fiflock
Version:	1
Release:	1%{?dist}
Summary:	DNF plugin to prevents non-fif packages from overriding fif ones

License:	GPLv3
Source0:	fiflock.py

BuildRequires:  python-devel
BuildArch:	noarch

%description
This DNF plugin prevents any official packages from overriding any
released version of a fif package (which has a release field ending in
.fif[<fedora-release>].

%package -n python3-dnf-plugin-fiflock
Summary:	DNF Fiflock Plugin for Python 3.
Requires:	python3-dnf

%description -n python3-dnf-plugin-fiflock
The Fiflock DNF plugin for Python 3 prevent any official packages from
overriding any released version of a fif package.

%package -n python2-dnf-plugin-fiflock
Summary:	DNF Fiflock Plugin for Python 2.
Requires:	python2-dnf

%description -n python2-dnf-plugin-fiflock
The Fiflock DNF plugin for Python 2 prevent any official packages from
overriding any released version of a fif package.

%prep
%setup -q -c -T

%build

%install
rm -rf $RPM_BUILD_ROOT
for d in $RPM_BUILD_ROOT%{python2_sitelib}/dnf-plugins \
	 $RPM_BUILD_ROOT%{python3_sitelib}/dnf-plugins
do
  install -d "$d"
  install %{SOURCE0} "$d"
done
install -d $RPM_BUILD_ROOT%{_sysconfdir}/dnf/plugins/
echo -e '[main]\nenabled=1' > $RPM_BUILD_ROOT%{_sysconfdir}/dnf/plugins/fiflock.conf
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/%{python2_sitelib}/dnf-plugins', 1)"
%{__python3} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/%{python3_sitelib}/dnf-plugins', 1)"

%files -n python3-dnf-plugin-fiflock
%config(noreplace) %{_sysconfdir}/dnf/plugins/fiflock.conf
%{python3_sitelib}/dnf-plugins/fiflock.*
%{python3_sitelib}/dnf-plugins/__pycache__/fiflock.*

%files -n python2-dnf-plugin-fiflock
%config(noreplace) %{_sysconfdir}/dnf/plugins/fiflock.conf
%{python2_sitelib}/dnf-plugins/fiflock.*

%changelog
* Tue Feb  6 2018 Philippe Troin <phil@fifi.org> - 1-1
- Created.
